/* Style for PC */
@media screen and (min-width: 1025px) {

/* Menu botton*/
.menubn {
  display: block;
  position: fixed;
  z-index: 21500;
  right: 10px;
  top: 35px;
  width: 60px;
  height: 60px;
  cursor: pointer;
  text-align: center;
  transition: .4s all;
}

.menubn.site_active {
  display: block;
  position: fixed;
  z-index: 21500;
  right: 10px;
  top: 20px;
  width: 60px;
  height: 60px;
  cursor: pointer;
  text-align: center;
}

.menubn span {
  display: block;
  position: absolute;
  width: 50px;
  height: 2px;
  left: 8px;
  background: var(--color-black);
  -webkit-transition: 0.3s ease-in-out;
  -moz-transition: 0.3s ease-in-out;
  transition: 0.3s ease-in-out;
}

.menubn span:nth-child(1) {
  top: 10px;
}

.menubn span:nth-child(2) {
  top: 20px;
}

.menubn span:nth-child(3) {
  top: 30px;
}

/* ナビ開いてる時のボタン */
.menubn.active span:nth-child(1) {
  top: 16px;
  left: 6px;
  background: var(--color-white);
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

.menubn.active span:nth-child(2),
.menubn.active span:nth-child(3) {
  top: 16px;
  background: var(--color-white);
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  transform: rotate(45deg);
}

nav.globalmenu {
position: fixed;
z-index: 20000;
top:  0;
right:-100%;
width: 0%;
height: 100%;
min-height: 100%;
display: flex;
justify-content: center;
align-items: center;
overflow: hidden;
opacity: 0;
transition: .4s all;
backdrop-filter: blur(10px);
-webkit-backdrop-filter: blur(10px);
}

nav.globalmenu .gmbody {
  width:40%;
  height: 100%;
  min-height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: #d0121cdb;
  margin:0 0 0 auto;
overflow: hidden;
}

nav.globalmenu ul.gm_menu01 {
  width: 100%;
  height: auto;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  padding: 0 3%;
  color: var(--color-white);
}

nav.globalmenu ul.gm_menu01 li {
  width:100%;
  height: auto;
  display: block;
  list-style-type: none;
  font-size:18px;
  font-weight: 700;
  font-style: italic;
  font-family: var(--font-en);
  border-bottom: 1px solid rgba(255,255,255,0.3);
}

nav.globalmenu ul.gm_menu01 li:last-child {
  border-bottom: none;
}

nav.globalmenu ul.gm_menu01 li a {
  width: 100%;
  height: auto;
  display: block;
  text-decoration: none;
  color:var(--color-white);
  padding:1em;
  transition: .4s all;
}

nav.globalmenu ul.gm_menu01 li a:hover {
  color:var(--color-1st);
  background-color:rgba(240, 240, 240, 0.9);
}


nav.globalmenu ul.gm_menu_sns {
  width:50%;
  height: 24px;
  display: flex;
  justify-content: space-between;
  margin:0 auto 30px;
}
nav.globalmenu ul.gm_menu_sns li {
  width:24px;
  height: 24px;
  display: block;
}
nav.globalmenu ul.gm_menu_sns li a {
  width:24px;
  height: 24px;
  display: block;
  text-indent: -9999px;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 24px 24px;
}

/* このクラスを、jQueryで付与・削除する */
nav.globalmenu.active {
width: 100%;
opacity: 100;
right:0;
}


}

/* Style for iPad Pro */
@media screen and (min-width: 769px) and (max-width: 1024px) {

/* Menu botton*/
.menubn {
  display: block;
  position: fixed;
  z-index: 21500;
  right: 10px;
  top: 35px;
  width: 60px;
  height: 60px;
  cursor: pointer;
  text-align: center;
  transition: .4s all;
}

.menubn.site_active {
  display: block;
  position: fixed;
  z-index: 21500;
  right: 10px;
  top: 20px;
  width: 60px;
  height: 60px;
  cursor: pointer;
  text-align: center;
}

.menubn span {
  display: block;
  position: absolute;
  width: 50px;
  height: 2px;
  left: 8px;
  background: var(--color-black);
  -webkit-transition: 0.3s ease-in-out;
  -moz-transition: 0.3s ease-in-out;
  transition: 0.3s ease-in-out;
}

.menubn span:nth-child(1) {
  top: 10px;
}

.menubn span:nth-child(2) {
  top: 20px;
}

.menubn span:nth-child(3) {
  top: 30px;
}

/* ナビ開いてる時のボタン */
.menubn.active span:nth-child(1) {
  top: 16px;
  left: 6px;
  background: var(--color-white);
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

.menubn.active span:nth-child(2),
.menubn.active span:nth-child(3) {
  top: 16px;
  background: var(--color-white);
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  transform: rotate(45deg);
}

nav.globalmenu {
position: fixed;
z-index: 20000;
top:  0;
right:-100%;
width: 0%;
height: 100%;
min-height: 100%;
display: flex;
justify-content: center;
align-items: center;
opacity: 0;
transition: .4s all;
backdrop-filter: blur(10px);
-webkit-backdrop-filter: blur(10px);
overflow: hidden;
}

nav.globalmenu .gmbody {
  width:70%;
  height: 100%;
  min-height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: #d0121cdb;
  margin:0 0 0 auto;
}

nav.globalmenu ul.gm_menu01 {
  width: 100%;
  height: auto;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  padding: 0 3%;
  color: var(--color-white);
}

nav.globalmenu ul.gm_menu01 li {
  width:100%;
  height: auto;
  display: block;
  list-style-type: none;
  font-size:14px;
  font-weight: 700;
  font-style: italic;
  font-family: var(--font-en);
  border-bottom: 1px solid rgba(255,255,255,0.3);
}

nav.globalmenu ul.gm_menu01 li:last-child {
  border-bottom: none;
}

nav.globalmenu ul.gm_menu01 li a {
  width: 100%;
  height: auto;
  display: block;
  text-decoration: none;
  color:var(--color-white);
  padding:1em;
  transition: .4s all;
}

nav.globalmenu ul.gm_menu01 li a:hover {
  color:var(--color-1st);
  background-color:rgba(240, 240, 240, 0.9);
}


nav.globalmenu ul.gm_menu_sns {
  width:60%;
  height: 22px;
  display: flex;
  justify-content: space-between;
  margin:0 auto 30px;
}
nav.globalmenu ul.gm_menu_sns li {
  width:22px;
  height: 22px;
  display: block;
}
nav.globalmenu ul.gm_menu_sns li a {
  width:22px;
  height: 22px;
  display: block;
  text-indent: -9999px;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 22px 22px;
}

/* このクラスを、jQueryで付与・削除する */
nav.globalmenu.active {
  width:100%;
opacity: 100;
right:0;
}


}

/* Style for Smartphone */
@media screen and (max-width: 1024px) {

/* Menu botton*/
.menubn {
  display: block;
  position: fixed;
  z-index: 21500;
  right: 15px;
  top: 35px;
  width: 60px;
  height: 60px;
  cursor: pointer;
  text-align: center;
  transition: .4s all;
}

.menubn.site_active {
  display: block;
  position: fixed;
  z-index: 21500;
  right: 15px;
  top: 15px;
  width: 60px;
  height: 60px;
  cursor: pointer;
  text-align: center;
}

.menubn span {
  display: block;
  position: absolute;
  width: 50px;
  height: 2px;
  left: 8px;
  background: var(--color-black);
  -webkit-transition: 0.3s ease-in-out;
  -moz-transition: 0.3s ease-in-out;
  transition: 0.3s ease-in-out;
}

.menubn span:nth-child(1) {
  top: 10px;
}

.menubn span:nth-child(2) {
  top: 20px;
}

.menubn span:nth-child(3) {
  top: 30px;
}

/* ナビ開いてる時のボタン */
.menubn.active span:nth-child(1) {
  top: 16px;
  left: 6px;
  background: var(--color-white);
  -webkit-transform: rotate(-45deg);
  -moz-transform: rotate(-45deg);
  transform: rotate(-45deg);
}

.menubn.active span:nth-child(2),
.menubn.active span:nth-child(3) {
  top: 16px;
  background: var(--color-white);
  -webkit-transform: rotate(45deg);
  -moz-transform: rotate(45deg);
  transform: rotate(45deg);
}

nav.globalmenu {
position: fixed;
z-index: 20000;
top:  0;
right:-100%;
width: 0%;
height: 100%;
min-height: 100%;
display: flex;
justify-content: center;
align-items: center;
opacity: 0;
transition: .4s all;
backdrop-filter: blur(10px);
-webkit-backdrop-filter: blur(10px);
overflow: hidden;
}

nav.globalmenu .gmbody {
  width:70%;
  height: 100%;
  min-height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  background: #d0121cdb;
  margin:0 0 0 auto;
}

nav.globalmenu ul.gm_menu01 {
  width: 100%;
  height: auto;
  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  padding: 0 3%;
  color: var(--color-white);
}

nav.globalmenu ul.gm_menu01 li {
  width:100%;
  height: auto;
  display: block;
  list-style-type: none;
  font-size:14px;
  font-weight: 700;
  font-style: italic;
  font-family: var(--font-en);
  border-bottom: 1px solid rgba(255,255,255,0.3);
}

nav.globalmenu ul.gm_menu01 li:last-child {
  border-bottom: none;
}

nav.globalmenu ul.gm_menu01 li a {
  width: 100%;
  height: auto;
  display: block;
  text-decoration: none;
  color:var(--color-white);
  padding:1em;
  transition: .4s all;
}

nav.globalmenu ul.gm_menu01 li a:hover {
  color:var(--color-1st);
  background-color:rgba(240, 240, 240, 0.9);
}


nav.globalmenu ul.gm_menu_sns {
  width:60%;
  height: 22px;
  display: flex;
  justify-content: space-between;
  margin:0 auto 30px;
}
nav.globalmenu ul.gm_menu_sns li {
  width:22px;
  height: 22px;
  display: block;
}
nav.globalmenu ul.gm_menu_sns li a {
  width:22px;
  height: 22px;
  display: block;
  text-indent: -9999px;
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 22px 22px;
}

/* このクラスを、jQueryで付与・削除する */
nav.globalmenu.active {
  width:100%;
opacity: 100;
right:0;
}

}
